# vueMcCownGordonUI

Shared styles, libraries, and Vue components that are used across various apps

Must use YARN BUILD to properly build. Could use `yarn run build ;; npm publish` to publish a new update to NPM

### Input Mask

If a project needs to make sure an input field conforms to a certain format (such as project numbers) then use _V-Mask_

```
import VueMask from "v-mask";
Vue.use(VueMask);
```

### Permissions

At least one SharePoint App must have the following permissions defined in `config/package-solution.json` :

```json
      {
        "resource": "Microsoft Graph",
        "scope": "People.Read"
      },
      {
        "resource": "Microsoft Graph",
        "scope": "People.Read.All"
      }
```
And then go to `{tenant}-admin.sharepoint.com` and Advanced > API to approve permissions.  This permission must be granted in order for the Associate Picker to work properly.

Notes:
- Bootstrap (version 4 and 5, this project is using version 4) does NOT support SASS modules (@use instead of @import).  After investigating, it is fine to use @import but in October 2022 it MIGHT be deprecated, and if that's the case we just need to lock in the SASS version that still supports @import
````
